#language: ru

@scp

Функционал: 006. SCP. Заполнение локальной НСИ

Контекст: 
	Дано Я подключаюсь под "Планирование цепочек поставок"

Сценарий: 006.0. SCP. Подготовка

	Дано я удаляю все элементы таблицы "РегистрСведений.к2НазначениеСхемОбеспечения"
	Дано я удаляю объекты "Справочники.к2СхемыОбеспечения" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2РазмерБуфера"

Сценарий: 006.1. SCP. Заполнение буфера

	И Я задаю буфер "01.03.2020" "Ассорти из мяса цыплят-бройлеров /подложка/" "ДИКСИ Юг АО, 11" "Основной склад ООО" "50,000" "20,000" "500,000"
	И Я задаю буфер "01.03.2020" "Ассорти из мяса цыплят-бройлеров /подложка/" "Ашан ООО, 01" "Основной склад ООО" "50,000" "20,000" "500,000"
	И Я задаю буфер "24.08.2020" "Ассорти из мяса цыплят-бройлеров /подложка/" "Ашан ООО, 01" "Основной склад ООО" "100,000" "30,000" "490,000"
	И Я задаю буфер "25.08.2020" "Ассорти из мяса цыплят-бройлеров /подложка/" "Ашан ООО, 01" "Основной склад ООО" "90,000" "20,000" "480,000"
	И Я задаю буфер "26.08.2020" "Ассорти из мяса цыплят-бройлеров /подложка/" "Ашан ООО, 01" "Основной склад ООО" "80,000" "10,000" "470,000"
	И Я задаю буфер "27.08.2020" "Ассорти из мяса цыплят-бройлеров /подложка/" "Ашан ООО, 01" "Основной склад ООО" "70,000" "0,000" "460,000"
	И Я задаю буфер "28.08.2020" "Ассорти из мяса цыплят-бройлеров /подложка/" "Ашан ООО, 01" "Основной склад ООО" "60,000" "0,000" "400,000"
	И Я задаю буфер "29.08.2020" "Ассорти из мяса цыплят-бройлеров /подложка/" "Ашан ООО, 01" "Основной склад ООО" "50,000" "0,000" "350,000"

Сценарий: 006.2. SCP. Справочник схем обеспечения

	И Я создаю схему обеспечения "Белоусово->Основной" "Перемещение" "2" "ч"
	И Я создаю схему обеспечения "Закупка у конкурентов" "Закупка" "1" "дн"
	И Я создаю схему обеспечения "Кулинария" "Производство" "8" "ч"
	И Я создаю схему обеспечения "Переработка->Основной" "Перемещение" "4" "ч"
	И Я создаю схему обеспечения "Разруб" "Производство" "4" "ч"
	И Я создаю схему обеспечения "Фарш" "Производство" "2" "дн"

Сценарий: 006.3. SCP. Пакетное заполнение Назначения схем обеспечения

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Назначение схем обеспечения'
	Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд
	И я нажимаю на кнопку 'Пакетное заполнение'
	Тогда я жду открытия окна 'Пакетное заполнение схем обеспечения' в течение 20 секунд
	И из выпадающего списка с именем "СхемаОбеспечения" я выбираю по строке 'Разруб'
	И я перехожу к следующему реквизиту
	И из выпадающего списка "Склад выпуска" я выбираю по строке 'Склад  в Белоусово'
	И я перехожу к следующему реквизиту
	И из выпадающего списка "Склад материалов" я выбираю по строке 'Склад  в Белоусово'
	И в таблице "Товары" я нажимаю на кнопку 'Подбор'
	Тогда я жду открытия окна 'Подбор номенклатуры' в течение 20 секунд
	И Я выключаю отбор по иерархии в подборе номенклатуры
	И Я подбираю номенклатуру 'Цыплята 1 кат "Халяль" /подложка/'
	И Я подбираю номенклатуру 'Цыплята 1 кат "Халяль" /подложка/ зам.'
	И Я подбираю номенклатуру 'Ассорти из мяса цыплят-бройлеров /подложка/'
	И Я подбираю номенклатуру 'Ассорти из мяса цыплят-бройлеров /подложка/ зам.'
	И Я подбираю номенклатуру 'Цыплята 1 кат /подложка/'
	И Я подбираю номенклатуру 'Цыплята 1 кат /подложка/ "Первая Свежесть"'
	И Я подбираю номенклатуру 'Цыплята 1 кат. полутушка /подложка/ зам'
	И Я подбираю номенклатуру 'Цыплята 1 кат /подложка/ зам'
	И Я подбираю номенклатуру 'Цыплята 1 кат. полутушка /подложка/'
	Тогда таблица "ПодобраннаяНоменклатура" стала равной:
		| 'Номенклатура'                                     | 'Упаковка' |
		| 'Цыплята 1 кат "Халяль" /подложка/'                | 'кг'       |
		| 'Цыплята 1 кат "Халяль" /подложка/ зам.'           | 'кг'       |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/'      | 'кг'       |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/ зам.' | 'кг'       |
		| 'Цыплята 1 кат /подложка/'                         | 'кг'       |
		| 'Цыплята 1 кат /подложка/ "Первая Свежесть"'       | 'кг'       |
		| 'Цыплята 1 кат. полутушка /подложка/ зам'          | 'кг'       |
		| 'Цыплята 1 кат /подложка/ зам'                     | 'кг'       |
		| 'Цыплята 1 кат. полутушка /подложка/'              | 'кг'       |
	И я нажимаю на кнопку 'Перенести'
	Тогда я жду открытия окна 'Пакетное заполнение схем обеспечения' в течение 20 секунд
	И в таблице "Товары" я нажимаю на кнопку 'Заполнить спецификациями по умолчанию'
	Тогда таблица "Товары" стала равной:
		| 'Номенклатура'                                     | 'Спецификация'                                     |
		| 'Цыплята 1 кат "Халяль" /подложка/'                | 'Цыплята 1 кат "Халяль" /подложка/'                |
		| 'Цыплята 1 кат "Халяль" /подложка/ зам.'           | 'Цыплята 1 кат "Халяль" /подложка/ зам.'           |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/'      | 'Ассорти из мяса цыплят-бройлеров /подложка/'      |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/ зам.' | 'Ассорти из мяса цыплят-бройлеров /подложка/ зам.' |
		| 'Цыплята 1 кат /подложка/'                         | 'Цыплята 1 кат /подложка/'                         |
		| 'Цыплята 1 кат /подложка/ "Первая Свежесть"'       | 'Цыплята 1 кат /подложка/ "Первая Свежесть"'       |
		| 'Цыплята 1 кат. полутушка /подложка/ зам'          | 'Цыплята 1 кат. полутушка /подложка/ зам'          |
		| 'Цыплята 1 кат /подложка/ зам'                     | 'Цыплята 1 кат /подложка/ зам'                     |
		| 'Цыплята 1 кат. полутушка /подложка/'              | 'Цыплята 1 кат. полутушка /подложка/'              |

	И элемент формы с именем "СкладВыпуска" стал равен 'Склад  в Белоусово'
	И элемент формы с именем "ДетализацияДоХарактеристик" стал равен 'Нет'
	И элемент формы с именем "СхемаОбеспечения" стал равен 'Разруб'
	И элемент формы с именем "КартинкаТипаОбеспечения" стал равен 'Картинка типа обеспечения'
	И элемент формы с именем "Приоритет" стал равен '0'
	И элемент формы с именем "СкладМатериалов" стал равен 'Склад  в Белоусово'
	И я нажимаю на кнопку 'Записать'
	И Я закрываю окно 'Пакетное заполнение схем обеспечения'
	Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд
	И Я разворачиваю панель отборов
	И я нажимаю кнопку очистить у поля 'Склад'
	Тогда таблица "Список" стала равной:
		| 'Склад'              | 'Приоритет' | 'Номенклатура'                                     | 'Характеристика' | 'Схема обеспечения' | 'Спецификация'                                     | 'Склад материалов'   |
		| 'Склад  в Белоусово' | ''          | 'Цыплята 1 кат "Халяль" /подложка/'                | '<любая>'        | 'Разруб'            | 'Цыплята 1 кат "Халяль" /подложка/'                | 'Склад  в Белоусово' |
		| 'Склад  в Белоусово' | ''          | 'Цыплята 1 кат "Халяль" /подложка/ зам.'           | '<любая>'        | 'Разруб'            | 'Цыплята 1 кат "Халяль" /подложка/ зам.'           | 'Склад  в Белоусово' |
		| 'Склад  в Белоусово' | ''          | 'Ассорти из мяса цыплят-бройлеров /подложка/'      | '<любая>'        | 'Разруб'            | 'Ассорти из мяса цыплят-бройлеров /подложка/'      | 'Склад  в Белоусово' |
		| 'Склад  в Белоусово' | ''          | 'Ассорти из мяса цыплят-бройлеров /подложка/ зам.' | '<любая>'        | 'Разруб'            | 'Ассорти из мяса цыплят-бройлеров /подложка/ зам.' | 'Склад  в Белоусово' |
		| 'Склад  в Белоусово' | ''          | 'Цыплята 1 кат /подложка/'                         | '<любая>'        | 'Разруб'            | 'Цыплята 1 кат /подложка/'                         | 'Склад  в Белоусово' |
		| 'Склад  в Белоусово' | ''          | 'Цыплята 1 кат /подложка/ "Первая Свежесть"'       | '<любая>'        | 'Разруб'            | 'Цыплята 1 кат /подложка/ "Первая Свежесть"'       | 'Склад  в Белоусово' |
		| 'Склад  в Белоусово' | ''          | 'Цыплята 1 кат. полутушка /подложка/ зам'          | '<любая>'        | 'Разруб'            | 'Цыплята 1 кат. полутушка /подложка/ зам'          | 'Склад  в Белоусово' |
		| 'Склад  в Белоусово' | ''          | 'Цыплята 1 кат /подложка/ зам'                     | '<любая>'        | 'Разруб'            | 'Цыплята 1 кат /подложка/ зам'                     | 'Склад  в Белоусово' |
		| 'Склад  в Белоусово' | ''          | 'Цыплята 1 кат. полутушка /подложка/'              | '<любая>'        | 'Разруб'            | 'Цыплята 1 кат. полутушка /подложка/'              | 'Склад  в Белоусово' |
	И Я закрываю окно 'Назначение схем обеспечения'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И Я закрываю окно 'Настройки планирования'

Сценарий: 006.4. SCP. Назначения схем обеспечения

	* Изменение приоритета у назначенной схемы
		И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
		Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
		И я нажимаю на кнопку 'Назначение схем обеспечения'
		Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Ассорти из мяса цыплят-бройлеров /подложка/'
		И в таблице "Список" я выбираю текущую строку
		Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд
		И в поле 'Приоритет' я ввожу текст '1'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Назначение схем обеспечения *' в течение 20 секунд
		Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд
		И я нажимаю кнопку очистить у поля "Номенклатура"
	И Я создаю назначение схемы закупки "Склад  в Белоусово" "Ассорти из мяса цыплят-бройлеров /подложка/" "Закупка у конкурентов"
	И Я создаю назначение схемы перемещения "Основной склад ООО" "Склад  в Белоусово" "Ассорти из мяса цыплят-бройлеров /подложка/" "Белоусово->Основной"
	И Я создаю назначение схемы перемещения "Основной склад ООО" "Склад  в Белоусово" "Цыплята 1 кат /подложка/" "Белоусово->Основной"
	И Я создаю назначение схемы перемещения "Основной склад ООО" "Цех глубокой переработки" 'Колбаски для жарки  "С сыром" /подл./' "Переработка->Основной"
	И Я создаю назначение схемы перемещения "Основной склад ООО" "Цех глубокой переработки" 'Фарш куриный натуральный / подложка/' "Переработка->Основной"
	И Я создаю назначение схемы производства "Цех глубокой переработки" 'Колбаски для жарки  "С сыром" /подл./' 'Колбаски для жарки  "С сыром" /подл./' 'Кулинария' "Склад материалов"
	И Я создаю назначение схемы производства "Цех глубокой переработки" 'Фарш куриный натуральный / подложка/' 'Фарш куриный натуральный / подложка/' "Фарш" "Мясной холодильник"

	И Я создаю назначение схемы производства "Цех глубокой переработки" 'ФАРШ ИЗ ФИЛЕ' 'ФАРШ ИЗ ФИЛЕ' "Фарш" "Мясной холодильник"
	И Я создаю назначение схемы производства "Цех глубокой переработки" 'ФАРШ КУРИНЫЙ' 'ФАРШ КУРИНЫЙ' "Фарш" "Мясной холодильник"

Сценарий: 006.5. SCP. Прогнозные остатки

	Дано я удаляю все элементы таблицы "РегистрСведений.к2ПрогнозныеОстаткиПроизводства"
	И Я задаю прогнозный остаток "23.08.2020" "Склад  в Белоусово" "Ассорти из мяса цыплят-бройлеров /подложка/" "Ашан ООО, 01" "110,000"
	И Я задаю прогнозный остаток "23.08.2020" "Основной склад ООО" "Ассорти из мяса цыплят-бройлеров /подложка/" "Ашан ООО, 01" "25,000"